## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Create a Lexicon Entry

**Endpoint**: POST

```
/v2.0/lexicons/{lexiconId}/entries
```

### cURL Example

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "mainKeyphrase": "pizza",
  "data": "{\"key1\": \"value1\" }",
  "slotReferences": [\
    "<string>"\
  ]
}'
```

### Python Example

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries"

payload = {
    "mainKeyphrase": "pizza",
    "data": "{\"key1\": \"value1\" }",
    "slotReferences": ["<string>"]
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Example

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    mainKeyphrase: 'pizza',
    data: '{"key1": "value1" }',
    slotReferences: ['<string>']
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'mainKeyphrase' => 'pizza',
    'data' => '{"key1": "value1" }',
    'slotReferences' => [
        '<string>'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Response Example

```json
{
  "mainKeyphrase": "pizza",
  "data": "{\"key1\": \"value1\" }",
  "slotReferences": ["<string>"],
  "keyphrases": {
    "_id": "<string>",
    "value": "pizza",
    "isMainKeyphrase": true
  },
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Codes

- **400 Bad Request**: Validation failed. Missing payload.
- **401 Unauthorized**: Invalid API key.
- **404 Not Found**: The specified lexicon could not be found.

### Authorizations

| Header         | Type   | Description                          |
|----------------|--------|--------------------------------------|
| X-API-Key      | string | Supply the API Key in the HTTP-Header|

### Header Details
**Accept**: Specifies the media type that the client expects in the response (e.g., `application/json`).

### Path Parameters
- **lexiconId**: Required string length: `24`, pattern: `^[a-z0-9]{24}$`

### Body Parameters
- **mainKeyphrase**: Required string. Example: `"pizza"`
- **data**: Required string. Example: `"{\"key1\": \"value1\" }"`
- **slotReferences**: Array of strings.
